<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>PETSC_VIEWER_STDOUT_</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="PETSC_VIEWER_STDOUT_"><H1>PETSC_VIEWER_STDOUT_</H1></A>
Creates a ASCII <A HREF="../Viewer/PetscViewer.html#PetscViewer">PetscViewer</A> shared by all processors  in a communicator. 
<H3><FONT COLOR="#CC3333">Synopsis</FONT></H3>
<PRE>
#include "petsc.h"   
PetscViewer PETSC_DLLEXPORT PETSC_VIEWER_STDOUT_(MPI_Comm comm)
</PRE>
Collective on <A HREF="../Sys/MPI_Comm.html#MPI_Comm">MPI_Comm</A>
<P>
<H3><FONT COLOR="#CC3333">Input Parameter</FONT></H3>
<DT><B><A HREF="../Sys/comm.html#comm">comm</A> </B> -the MPI communicator to share the <A HREF="../Viewer/PetscViewer.html#PetscViewer">PetscViewer</A>
<br>
<P>

<P>
<H3><FONT COLOR="#CC3333">Notes</FONT></H3>
Unlike almost all other PETSc routines, this does not return
an error code. Usually used in the form
<pre>
     XXXView(XXX object,<A HREF="../Viewer/PETSC_VIEWER_STDOUT_.html#PETSC_VIEWER_STDOUT_">PETSC_VIEWER_STDOUT_</A>(<A HREF="../Sys/comm.html#comm">comm</A>));
</pre>
<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Viewer/PETSC_VIEWER_DRAW_.html#PETSC_VIEWER_DRAW_">PETSC_VIEWER_DRAW_</A>(), <A HREF="../Viewer/PetscViewerASCIIOpen.html#PetscViewerASCIIOpen">PetscViewerASCIIOpen</A>(), <A HREF="../Viewer/PETSC_VIEWER_STDERR_.html#PETSC_VIEWER_STDERR_">PETSC_VIEWER_STDERR_</A>, <A HREF="../Viewer/PETSC_VIEWER_STDOUT_WORLD.html#PETSC_VIEWER_STDOUT_WORLD">PETSC_VIEWER_STDOUT_WORLD</A>,
<BR><A HREF="../Viewer/PETSC_VIEWER_STDOUT_SELF.html#PETSC_VIEWER_STDOUT_SELF">PETSC_VIEWER_STDOUT_SELF</A>
<P>
<P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>beginner
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/sys/viewer/impls/ascii/vcreatea.c.html#PETSC_VIEWER_STDOUT_">src/sys/viewer/impls/ascii/vcreatea.c</A>
<BR><A HREF="./index.html">Index of all Viewer routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
